summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'rox-base/rox-mouse')
-rw-r--r--rox-base/rox-mouse/Manifest2
-rw-r--r--rox-base/rox-mouse/rox-mouse-0.10.ebuild28
2 files changed, 30 insertions, 0 deletions
diff --git a/rox-base/rox-mouse/Manifest b/rox-base/rox-mouse/Manifest
new file mode 100644
index 0000000..6fa140a
--- /dev/null
+++ b/rox-base/rox-mouse/Manifest
@@ -0,0 +1,2 @@
+DIST mouse-0.10.tar.bz2 27470 RMD160 7e699913ee2a35285df215db0791a7b030070220 SHA1 76e160664644d45c37ac12f3a79f62264f752f42 SHA256 96d7e4061e0ae482937d5d109adae1536649bb49dc980724744f852fa330d9ab
+EBUILD rox-mouse-0.10.ebuild 596 RMD160 e93bd1308694f005e7956fc2276ac769c7664ee6 SHA1 117c2164b5a2ffa38b3b90dd70e7848f4419d1c6 SHA256 123a318982b478ed33f242933779f6f8bb77b5f2e0457662023bb7a4a252c37e
diff --git a/rox-base/rox-mouse/rox-mouse-0.10.ebuild b/rox-base/rox-mouse/rox-mouse-0.10.ebuild
new file mode 100644
index 0000000..636563e
--- /dev/null
+++ b/rox-base/rox-mouse/rox-mouse-0.10.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/rox-base/mime-editor/mime-editor-0.5-r2.ebuild,v 1.3 2008/01/01 14:36:42 josejx Exp $
+
+ROX_LIB_VER="2.0.4-r1"
+inherit rox-0install
+
+MY_PN="mouse"
+DESCRIPTION="Mouse is a rodent configuration tool for ROX Desktop"
+HOMEPAGE="http://rox.sourceforge.net/desktop/Mouse"
+SRC_URI="mirror://sourceforge/rox/${MY_PN}-${PV}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+APPNAME="Mouse"
+APPCATEGORY="System;Core"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_unpack() {
+ unpack ${A}
+
+ # This forces us to use 'python2.4' but we can trust that the 'python'
+ # executable is at least 2.4, and may even be 2.5 or later!
+ sed -i -e 's/python2.4/python/' "${S}/${APPNAME}/AppRun" || die "Could not patch python version"
+}